<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

@include INFUSIONS."mp3/locale/Russian.php";
@include INFUSIONS."mp3/locale/Russian.php";

if (!checkrights("DC")) fallback("../index.php");
if (isset($artist_id) && !isNum($artist_id)) fallback("index.php");

if (isset($status)) {
	if ($status == "deln") {
		$title = ''.$locale['MP3090'].'';
		$message = "".$locale['MP3091']."";
	} elseif ($status == "dely") {
		$title = ''.$locale['MP3090'].'';
		$message = "".$locale['MP3092']."";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($step) && $step == "delete") {
	$result = dbquery("SELECT * FROM ".$db_prefix."mp3 WHERE mp3_cat='$artist_id'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF."?status=deln");
	} else {
		$result = dbquery("DELETE FROM ".$db_prefix."mp3_art WHERE id='$artist_id'");
		redirect(FUSION_SELF."?status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$title = stripinput($_POST['title']);
		$cat_description = stripinput($_POST['cat_description']);
		$access = isNum($_POST['access']) ? $_POST['access'] : "0";
		$cat_sorting = stripinput($_POST['cat_sort_by'])." ".stripinput($_POST['cat_sort_order']);
		if (isset($step) && $step == "edit") {
		$datestamp = isset($_POST['update_datestamp']) ? ", datestamp='".time()."'" : "";
			$result = dbquery("UPDATE ".$db_prefix."mp3_art SET title='$title',access='$access'".$datestamp." WHERE id='$artist_id'");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."mp3_art VALUES('', '$title','$access', '".time()."')");
		}
		redirect(FUSION_SELF);
	}
 if (isset($step) && $step == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."mp3_art WHERE id='$artist_id'");
		$data = dbarray($result);
		$title = $data['title'];
  		$access = $data['access'];
		$formaction = FUSION_SELF."?step=edit&amp;artist_id=".$data['id'];
		opentable(''.$locale['MP3093'].'');
	} else {
               $title = "";
  		$access = "";
		$formaction = FUSION_SELF;
		opentable(''.$locale['MP3094'].'');
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "
  <center><a href='admin.php'>".$locale['MP3095']."</a></center>
 <form name='addcat' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' width='400'>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['MP3096']."</td>
<td class='tbl'><input type='text' name='title' value='$title' class='textbox' style='width:200px;'></td>
</tr>
<tr>

<tr>
<td align='center' colspan='2' class='tbl'>";
 if ($step == "edit") echo "<input type='checkbox' name='update_datestamp' value='1'> ".$locale['MP3104']."<br><br>\n";
echo"<input type='submit' name='save_cat' value='".$locale['MP3097']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable(''.$locale['MP3098'].'');
	echo "<table align='center' width='400' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."mp3_art ORDER BY title");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>
<td class='tbl2'>".$locale['MP3099']."</td>

<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['MP3100']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>
<td class='$cell_color'><b>".$data['title']."</b><br>


<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF."?step=edit&amp;artist_id=".$data['id']."'>".$locale['MP3101']."</a> -
<a href='".FUSION_SELF."?step=delete&amp;artist_id=".$data['id']."'>".$locale['MP3102']."</a></td>
</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['MP3103']."</td></tr>\n</table>\n";
	}
	closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>
